
#ifndef OPTIMIZE_H
#define OPTIMIZE_H

#ifdef __cplusplus
extern "C"
{
#endif

#include "mstack.h"
#include "vertex.h"
#include "mesh.h"
#include "measures.h"

int vm_OptimizeMesh (MeshGenData *mgds, int insert);
void UpdateSplitFaces(Edge *edge, Vertex *removedPoint, Vertex *destPoint);
int UnsplitEdges (MeshGenData *mgds);
int UnsplitFaces (MeshGenData *mgds);
int RemoveEdgeFromMesh (TetrahMesh *tetMesh,
                        Vertex *org, Vertex *dest, int *callnum);


#ifdef __cplusplus
}
#endif

#endif /* OPTIMIZE_H */


