#ifndef RECOVER_H
#define RECOVER_H

#ifdef __cplusplus
extern "C"
{
#endif

#include "vertex.h"
#include "edge.h"
#include "face.h"
#include "tetrah.h"
#include "mesh.h"


/* volume to be considered zero */
#define ZERO_VOLUME 1.0e-10

int EnsureBoundaryConformity (MeshGenData *mgds);
int IsFaceInMesh (Face *face, Tetrah **tetWithFace, int *faceNum);
int CheckPointBall (Vertex *org, Vertex *dest);


#ifdef __cplusplus
}
#endif

#endif /* RECOVER_H */
