/********************************************************************
 test_RP_MeshElementNodes.c
       Test program for RP_MeshElementNodes function; 
 
 Roman Putanowicz <romek@sect.mce.hw.ac.uk>
 SECT Research Group, Heriot-Watt University Edinburgh    
 ********************************************************************/

/* $Id: test_RP_MeshElemNodes.c,v 1.1.1.1 2002/08/04 13:19:11 peteri Exp $ */

#include "e_lib.h"
#include "mesh_supp.h"


int main()
{
  MESH *mesh;
  int result = 0;
  int llength;
  int *nodesList;
  int elem, i, elemType;
  /* read mesh data */
  
  elem = 1;
  e_GetMeshData (&mesh, "b_square_tr1");   
  elemType = RP_MeshElementType (mesh, elem); 
 /* 
  RP_MeshElementNodes (mesh, elem, &nodesList, &llength); 
  for (i=0; i<llength; i++)
    {
     printf (" %d ", nodesList[i]);
    }
    */
  printf ("%d\n", elemType);
  e_FreeMeshData (mesh); 
  return result;
}
    

/* Modifications:
 * $Log: test_RP_MeshElemNodes.c,v $
 * Revision 1.1.1.1  2002/08/04 13:19:11  peteri
 * Imported using TkCVS
 *
 */ 
            
