/* auxiliary functions */

#ifndef MGN_AUX_H__
#define MGN_AUX_H__

#include "mtrf.h"

int IsCCW(double *A, double *B, double *C, MTRF *mtrf, int *IsValidTriangle);
int ColinearTriangle(double *A, double *B, double *C, 
                     MTRF *mtrf, double *mu);
int j_incircle(double *A, double *B, double *C, double *D, MTRF * mtrf);
void centroid(double **cntr, double *A, double *B, double *C);
int neighbouringside(int **tr, int t, int nt, int *n, int *s, int relax_adj);
int CCW_check(int **tr, int ntr, double **coords);

#endif
