proc SetNurbsCoords {nurbs node x y} {
  etliNurbs$nurbs set -ctrlpoint $node -coords $x $y 0.0
  UpdateNurbs $nurbs    
  UpdateNurbsNodes $nurbs $node
  UpdateNurbsSkel $nurbs $node
  return
}

proc SetNurbsWeights {nurbs node weight} {
  etliNurbs$nurbs set -ctrlpoint $node -weight $weight 
  UpdateNurbs $nurbs    
  return
}

proc SetNurbsNodeWeight {weight} {
    global Nurbs
    if {$Nurbs(curnode) != -1 && $Nurbs(curnurbs) != -1} {
        etliNurbs$Nurbs(curnurbs) set -ctrlpoint $Nurbs(curnode) \
                -weight $weight
        UpdateNurbs $Nurbs(curnurbs)        
    }
}
#EOF


