/* $Id: convert.h,v 1.2 2002/02/16 18:58:45 romek Exp $ */

#ifndef CONVERT_H
#define CONVERT_H

#ifdef __cplusplus
extern "C"
{
#endif

#include "e_lib.h"
#include "mesh.h"

void AssignNumbersToTetrah (TetrahMesh *tetMeshPtr);
void AssignNumbersToPoints (TetrahMesh *tetMeshPtr);
void TetrahMeshToMESH (TetrahMesh *tetMesh, MESH *mesh);
void TetrahMeshToMESH_V1 (MeshGenData *mgds, MESH *mesh);
void MESHToTetrahMesh (MESH *mesh, TetrahMesh *tetMesh);

#ifdef __cplusplus
}
#endif


#endif /* CONVERT_H */

/* Modifications:
 * $Log: convert.h,v $
 * Revision 1.2  2002/02/16 18:58:45  romek
 * Doc fix.
 *
 */
