/********************************************************************
 etliCmdMesh.h --
      This file contains declaration for types and procedures
      used internaly to implement etli_mesh command.

 ******************************************************************** 
** Copyright (C) 1999 Roman Putanowicz <romek@sect.mce.hw.ac.uk>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, 
** Boston, MA 02111-1307, USA.
 ***********************************************************************
*/


 /* $Id: etliCmdMesh.h,v 1.1.1.1 2002/08/04 13:19:11 peteri Exp $ */

#ifndef _ETLICMDMESH_H
#define _ETLICMDMESH_H

#define ETLI_MIXED -1   /* for mixed element type mesh */
/*
 * mesh object --
 */  
typedef struct
{
  MESH *mesh; 
  /* mesh bounding box [low_X, low_Y, low_Z, high_X, high_Y, high_Z] */
  double bBox[6]; 
  int elemType;
} MeshObj; 


#endif /* _ETLICMDMESH_H */

/* Modifications:
 * $Log: etliCmdMesh.h,v $
 * Revision 1.1.1.1  2002/08/04 13:19:11  peteri
 * Imported using TkCVS
 *
 */ 
