/************************************************************************
 etliPort.h -
           System and compiler related macros and functions 

 ************************************************************************/
/*
** Copyright (C) 1999 Roman Putanowicz <romek@sect.mce.hw.ac.uk>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, 
** Boston, MA 02111-1307, USA.
*/


 /* $Id: etliPort.h,v 1.1.1.1 2002/08/04 13:19:11 peteri Exp $ */

#ifndef _ETLIPORT_H
#define _ETLIPORT_H


/*
 * This piece of code is stolen from "Tcl/Tk for Real Programmers"
 * by Clif Flynt, Chapter 12, 12.3.1
 *
 */ 

#if defined(__WIN32__)
#   define WIN32_LEAN_AND_MEAN
#   include <windows.h>
#   undef WIN32_LEAN_AND_MEAN
#   ifdef (_MCS_VER)
#     define EXPORT(a,b) __declspec(dllexport) a b
#     define DllEntryPoint  DllMain
#   else
#     if defined(__BORLAND__)
#          define EXPORT(a, b) a _export b 
#     else
#          define EXPORT(a,b)  a b
#     endif
#   endif
#else
#   define EXPORT(a,b) a b
#endif 

#endif /* _ETLIPORT_H */

/* Modifications:
 * $Log: etliPort.h,v $
 * Revision 1.1.1.1  2002/08/04 13:19:11  peteri
 * Imported using TkCVS
 *
 */
