/* ////////////////////////////////////////////////////////////////////////// */
/*                                                                            */
/*                Triangular Element Generation Functions                     */
/*                                                                            */
/* ////////////////////////////////////////////////////////////////////////// */

#ifndef ADV_ELEM_H
#define ADV_ELEM_H

#include "e_lib.h"        /* E-lib */
#include "mgni.h"         /* mesh generation library header */
#include "bgdata.h"

void AdvTriang(int *nnodegen, double ***coords,
               int *nelemgen, int ***elemnodes,
               int nedges, EDGE *edges,
               int ctrl, BG_DATA *bgd,
               double *mpr, double h);

#endif


