#ifndef PAV_GRAPHICS_H
#define PAV_GRAPHICS_H

#include "pav_main.h"
#include "mgn_graphics.h"

extern int ShowGraphics;

#ifdef HAVE_LIBG2

void mgnDrawAllLoops(int NNodes, double **NodeCoords, 
                     int NTriang, int **NodesTriang,
                     int NQuad, int **NodesQuad, int index,
                     void *data, int op);

#else

#define mgnDrawAllLoops(NNodes, NodeCoords, \
                        NTriang, NodesTriang, NQuad, NodesQuad, \
                        index, data, op) /* empty */


#endif /* HAVE_LIBG2 */

#endif


